Edit Issues
SCOPE_ISSUES_EDIT
Create and update data quality issues, including changing their status and assignees.
| Method | Description |
|---|---|
MarkExpectedsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-expected | Mark issue as expected. |
MarkFixedsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-fixed | Mark issue as fixed. |
MarkInvestigatingsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-investigating | Mark issue as being investigated. |
MarkNoActionNeededsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-no-action-needed | Mark issue as no action needed. |
PostCommentsynq.issues.issues.v1.IssuesService POST /api/issues/v1/{issue_id}/comment | Post a comment on an issue. |
ClearStatussynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/clear-status | Clear the triage status of an issue, returning it to an untriaged state. |
MarkExpectedsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-expected | Mark issue as expected. |
MarkFixedsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-fixed | Mark issue as fixed. |
MarkInvestigatingsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-investigating | Mark issue as being investigated. |
MarkNoActionNeededsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-no-action-needed | Mark issue as no action needed. |
PostCommentsynq.issues.v2.IssuesService POST /api/issues/v2/{issue_id}/comment | Post a comment on an issue. |
Read Issues
SCOPE_ISSUES_READ
View data quality issues and their details.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
BatchGetIssuessynq.issues.issues.v1.IssuesService POST /api/issues/v1/by-id | |
ListIssuessynq.issues.issues.v1.IssuesService GET /api/issues/v1 | |
BatchGetIssuessynq.issues.v2.IssuesService POST /api/issues/v2/by-id | |
ListIssuessynq.issues.v2.IssuesService GET /api/issues/v2 |
Edit Incidents
SCOPE_INCIDENTS_EDIT
Declare, update, and resolve incidents raised for confirmed issues with business impact.
| Method | Description |
|---|---|
AddIssuesToIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/issues | |
AssignIncidentOwnersynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/assign-owner | |
CancelIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/cancel | Cancel an incident |
CloseIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/close | Close an incident |
CreateIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1 | |
MergeIncidentssynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/merge | |
PostCommentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/comment | Post a comment on an incident. |
RemoveIssuesFromIncidentsynq.incidents.v1.IncidentsService DELETE /api/incidents/v1/{incident_id}/issues | |
RenameIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/rename | |
SplitIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/split | |
UpdateIncidentStatesynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/state |
Read Incidents
SCOPE_INCIDENTS_READ
View incidents, including their status and the issues they track.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
BatchGetIncidentssynq.incidents.v1.IncidentsService POST /api/incidents/v1/by-id | |
ListIncidentssynq.incidents.v1.IncidentsService GET /api/incidents/v1 |
Edit Entities
SCOPE_ENTITY_EDIT
Create and update entities such as tables, dashboards, and jobs in the catalog.
| Method | Description |
|---|---|
DeleteCheckRelationshipssynq.entities.custom.v1.ChecksRelationshipsService | |
UpsertCheckRelationshipssynq.entities.custom.v1.ChecksRelationshipsService | |
DeleteEntitysynq.entities.custom.v1.EntitiesService DELETE /api/entities/custom/v1/entities | Delete an entity by its identifier. If the entity does not exist, it will be a no-op. |
UpsertEntitysynq.entities.custom.v1.EntitiesService POST /api/entities/custom/v1/entities | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u… |
DeleteEntityFeaturesynq.entities.custom.v1.FeaturesService DELETE /api/entities/custom/v1/features | Delete an entity by its identifier. If the entity does not exist, it will be a no-op. |
UpsertEntityFeaturesynq.entities.custom.v1.FeaturesService POST /api/entities/custom/v1/features | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u… |
DeleteEntitiesGroupsynq.entities.custom.v1.GroupsService DELETE /api/entities/custom/v1/groups | DeleteEntitiesGroup deletes a group by its identifier. If the group does not exist, it will be a no-… |
UpsertEntitiesGroupsynq.entities.custom.v1.GroupsService POST /api/entities/custom/v1/groups | UpsertEntitiesGroup updates current definition of group to the server. As part of the upsert operati… |
Read Entities
SCOPE_ENTITY_READ
View entities such as tables, dashboards, and jobs, along with their metadata.
| Method | Description |
|---|---|
GenerateConnectionsYamlsynq.agent.dwh.v1.ConnectionsService | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format. |
ListConnectionssynq.agent.dwh.v1.ConnectionsService | ListConnections retrieves data warehouse connections for a workspace. |
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
ListAnnotationssynq.entities.annotations.v1.AnnotationsService GET /api/entities/annotations/v1 | List all available annotations with their usage counts across entities. |
BatchChangesynq.entities.changes.v1.ChangesService POST /api/changes/v1/by-id | BatchChange retrieves multiple entity changes by their IDs in a single request. |
Listsynq.entities.changes.v1.ChangesService GET /api/changes/v1 | Retrieves the complete change history for specified entities. |
GetCoveragesynq.entities.checks.v1.ChecksCoverageService | GetCoverage retrieves the coverage of checks for a specific entity. |
GetTableConstraintssynq.entities.constraints.v1.TableConstraintsService GET /api/constraints/v1/table-constraints | Get table constraints (primary keys, foreign keys, indexes, etc.) for a given entity. |
BatchDatabaseCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-id | Get multiple DatabaseCoordinates for identifiers. |
BatchIdsByCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-fqn | Given database FQN return possible entity ids. |
ListEntitiessynq.entities.custom.v1.EntitiesService GET /api/entities/custom/v1/entities | List all entities. |
ListEntityFeaturessynq.entities.custom.v1.FeaturesService POST /api/entities/custom/v1/features/list | List all entities. |
ListEntityGroupssynq.entities.custom.v1.GroupsService POST /api/entities/custom/v1/groups/list | ListEntityGroups lists all groups. |
ListTypessynq.entities.custom.v1.TypesService POST /api/entities/custom/v1/types/list | List all entities. |
BatchGetEntitiessynq.entities.entities.v1.EntitiesService POST /api/entities/v1/by-id | Get multiple entities by their identifiers. |
GetEntitysynq.entities.entities.v1.EntitiesService | Get specific entity by its identifier. |
ListEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1 | List entities matching the given filter |
SearchEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1/search | Search for entities. |
GetImpactsynq.entities.impact.v1.ImpactService POST /api/impact/v1 | |
BatchResolveIdentifierssynq.entities.resolve.v1.IdentifierResolveService POST /api/resolve/v1/by-id | Resolve multiple identifiers, returning their Coalesce Quality paths and identity groups. |
BatchSchemaMismatchessynq.entities.schemas.v1.SchemaMismatchesService POST /api/schema-mismatches/v1 | Get schema mismatches for a batch of entities by their identifiers. |
GetSchemasynq.entities.schemas.v1.SchemasService GET /api/schema/v1 | Get schema of the entity its identifier. |
BatchSqlDetailssynq.entities.sql_insights.v1.SqlInsightsService POST /api/sql-insights/v1/details:batch | BatchSqlDetails returns the SQL details (currently the set of detected SQL |
ListSqlConstructssynq.entities.sql_insights.v1.SqlInsightsService GET /api/sql-insights/v1/constructs | ListSqlConstructs returns the distribution of SQL constructs across all |
GetDiffByCommitsynq.git.commits.v1.CommitsService GET /api/git/v1/commit/{commit_sha} | |
GenerateQuerysynq.queries.v1.NLQueryService POST /api/queries/v1/generate | GenerateQuery generates a Query from a natural language description. |
Edit Entity Types
SCOPE_ENTITY_TYPE_EDIT
Define and update custom entity types.
| Method | Description |
|---|---|
DeleteTypesynq.entities.custom.v1.TypesService DELETE /api/entities/custom/v1/types | Delete an entity by its identifier. If the entity does not exist, it will be a no-op. |
UpsertTypesynq.entities.custom.v1.TypesService POST /api/entities/custom/v1/types | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u… |
Read Entity Types
SCOPE_ENTITY_TYPE_READ
View entity type definitions.
| Method | Description |
|---|---|
ListTypessynq.entities.custom.v1.TypesService POST /api/entities/custom/v1/types/list | List all entities. |
Edit Lineage
SCOPE_LINEAGE_EDIT
Create and update lineage relationships between entities.
| Method | Description |
|---|---|
DeleteRelationshipssynq.entities.custom.v1.RelationshipsService DELETE /api/entities/custom/v1/relationships | Delete relationships between entities. If the relationship does not exist, it will be ignored. |
UpsertRelationshipssynq.entities.custom.v1.RelationshipsService POST /api/entities/custom/v1/relationships | Create or update relationships between entities. If the relationship already exists, it will be upda… |
Read Lineage
SCOPE_LINEAGE_READ
View upstream and downstream lineage between entities.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
ListRelationshipssynq.entities.custom.v1.RelationshipsService POST /api/entities/custom/v1/relationships/list | Delete relationships between entities. If the relationship does not exist, it will be ignored. |
GetImpactsynq.entities.impact.v1.ImpactService POST /api/impact/v1 | |
GetLineagesynq.entities.lineage.v1.LineageService POST /api/lineage/v1 | |
BatchOrchestrationsynq.entities.orchestration.v1.OrchestrationService GET /api/orchestration/v1 | BatchOrchestration retrieves orchestration relationships for multiple entities. |
Read Entity Code
SCOPE_CODE_READ
View the SQL or source code associated with an entity.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
ListCodesynq.entities.code.v1.CodeService GET /api/code/v1 | ListCode retrieves all code artifacts associated with a specific entity. |
GetDiffByChangeIdsynq.git.commits.v1.CommitsService GET /api/git/v1/change/{change_id} |
Read Entity Status
SCOPE_STATUS_READ
View the health and status of entities, including status summaries and history.
| Method | Description |
|---|---|
BatchGetIncidentssynq.entities.status.v1.EntityIncidentsService POST /api/status/v1/incidents/by-id | Get multiple entity statuses by their identifiers. |
GetIncidentssynq.entities.status.v1.EntityIncidentsService | Get specific entity status by its identifier. |
BatchGetIssuesStatussynq.entities.status.v1.EntityIssuesService POST /api/status/v1/issues/by-id | Get multiple entity statuses by their identifiers. |
GetIssuesStatussynq.entities.status.v1.EntityIssuesService | Get specific entity status by its identifier. |
Edit SQL Tests
SCOPE_DATACHECKS_SQLTESTS_EDIT
Create, update, and delete SQL tests.
| Method | Description |
|---|---|
BatchDeleteSqlTestssynq.datachecks.sqltests.v1.SqlTestsService DELETE /api/datachecks/sqltests/v1 | Delete SqlTests by their IDs. |
BatchUpsertSqlTestssynq.datachecks.sqltests.v1.SqlTestsService POST /api/datachecks/sqltests/v1 | Upsert SqlTests based on a unique ID. |
Read SQL Tests
SCOPE_DATACHECKS_SQLTESTS_READ
View SQL tests and their configuration.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
BatchGetSqlTestssynq.datachecks.sqltests.v1.SqlTestsService POST /api/datachecks/sqltests/v1/by-id | Get SqlTests by their IDs. |
ListSqlTestssynq.datachecks.sqltests.v1.SqlTestsService GET /api/datachecks/sqltests/v1 | List SqlTests for given annotations. |
Read SQL Tests Audit
SCOPE_DATACHECKS_SQLTESTS_AUDIT_READ
View the audit history of changes to SQL tests.
| Method | Description |
|---|---|
GetSqlTestAuditsynq.datachecks.sqltests.v1.SqlTestsService | Get SqlTest audit from a given execution ID in jwt token. |
Edit Test Suggestions
SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT
Accept, dismiss, and manage suggested tests.
| Method | Description |
|---|---|
MarkAsCancelledsynq.agent.sre.v1.TestsSuggestionStateService | |
MarkAsCompletedsynq.agent.sre.v1.TestsSuggestionStateService | |
MarkAsFailedsynq.agent.sre.v1.TestsSuggestionStateService | |
MarkAsRunningsynq.agent.sre.v1.TestsSuggestionStateService | |
SuggestForsynq.agent.sre.v1.TestsSuggestionStateService | |
BatchAcceptTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService PATCH /api/datachecks/testsuggestions/v1/accepted | |
BatchCreateTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService POST /api/datachecks/testsuggestions/v1 | |
BatchRejectTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService PATCH /api/datachecks/testsuggestions/v1/rejected |
Read Test Suggestions
SCOPE_DATACHECKS_TESTSUGGESTIONS_READ
View suggested tests.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
BatchSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | |
GetActiveSuggestionStatesForsynq.agent.sre.v1.TestsSuggestionStateService | |
ListSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | |
BatchGetTestSuggestionsForEntitiessynq.datachecks.testsuggestions.v1.TestSuggestionsService GET /api/datachecks/testsuggestions/v1 |
Trigger Data Checks
SCOPE_DATACHECKS_TRIGGER
Trigger data checks to run on demand.
| Method | Description |
|---|---|
TriggerDatacheckssynq.datachecks.v1.TriggerService POST /api/datachecks/scheduler/v1/trigger | TriggerDatachecks executes datachecks for the specified entities. |
Edit Executions
SCOPE_EXECUTION_EDIT
Report execution runs and their results.
| Method | Description |
|---|---|
UpsertExecutionsynq.entities.custom.v1.EntityExecutionsService POST /api/entities/custom/executions/v1 | Execution affects status of the custom entity |
UpsertLogEntrysynq.entities.custom.v1.EntityExecutionsService POST /api/entities/custom/executions/v1/log-entry | LogEntry is a log message for the custom entity |
UpsertExecutionsynq.entities.executions.v1.EntityExecutionsService POST /api/executions/v1 | Execution affects status of the custom entity |
UpsertLogEntrysynq.entities.executions.v1.EntityExecutionsService POST /api/executions/v1/log-entry | LogEntry is a log message for the custom entity |
Edit Execution Logs
SCOPE_EXECUTION_LOG_EDIT
Write logs for execution runs.
| Method | Description |
|---|---|
UpsertLogEntrysynq.entities.custom.v1.EntityExecutionsService POST /api/entities/custom/executions/v1/log-entry | LogEntry is a log message for the custom entity |
UpsertLogEntrysynq.entities.executions.v1.EntityExecutionsService POST /api/executions/v1/log-entry | LogEntry is a log message for the custom entity |
Read Executions
SCOPE_EXECUTION_READ
View execution run history and results.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
BatchGetExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/by-id | BatchGetExecutions retrieves multiple executions by their IDs. |
GetExecutionsSummarysynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/summary | GetExecutionsSummary provides aggregated statistics about executions for specified entities. |
GetLatestExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/latest | GetLatestExecutions retrieves the most recent execution for each specified entity. |
ListExecutionssynq.entities.executions.v2.EntityExecutionsService GET /api/executions/v2/list | ListExecutions retrieves a paginated list of executions for one or more entities. |
Edit Integration Settings
SCOPE_INTEGRATION_EDIT
Create, update, and delete integrations and their connection settings.
| Method | Description |
|---|---|
AcceptPromptSuggestionsynq.agent.sre.v1.SreAgentService | AcceptPromptSuggestion applies a pending suggestion to the matching SRE agent |
DismissPromptSuggestionsynq.agent.sre.v1.SreAgentService | DismissPromptSuggestion marks a pending suggestion as dismissed with an optional |
RecordPromptSuggestionsynq.agent.sre.v1.SreAgentService | RecordPromptSuggestion is the producer-side endpoint used by the offline |
BatchGetIntegrationssynq.integrations.v1.IntegrationsService POST /api/integrations/v1/by-id | Fetch multiple integrations by id in one call. Ids not found (or not in the |
CreateIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1 | Create a new integration. The server assigns the id and returns the created |
DeleteIntegrationsynq.integrations.v1.IntegrationsService DELETE /api/integrations/v1/{integration_id} | Delete an integration. The integration stops being scheduled and is removed |
DisableIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/disable | Disable an integration without deleting it. The configuration is kept but |
EnableIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/enable | Enable a previously disabled integration. No-op if already enabled. |
GetIntegrationsynq.integrations.v1.IntegrationsService | Fetch a single integration by id. Secret config fields are masked. |
GetIntegrationHealthsynq.integrations.v1.IntegrationsService | Return current health plus a paginated history of recent runs for an |
ListIntegrationssynq.integrations.v1.IntegrationsService GET /api/integrations/v1 | List all integrations in the workspace (optionally filtered by enabled |
RefreshIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/refresh | Trigger an immediate, ad-hoc refresh of an integration. Available only for |
UpdateIntegrationsynq.integrations.v1.IntegrationsService PUT /api/integrations/v1/{integration_id} | Update an integration. The config is replaced wholesale — send the |
SetPlatformAuthenticationsynq.platforms.v1.PlatformsService POST /api/platforms/v1 |
Edit Users
SCOPE_USER_EDIT
Manage workspace members, including inviting users and updating their roles.
| Method | Description |
|---|---|
DeleteUserAliasessynq.users.v1.UsersService | |
UpsertUserAliasessynq.users.v1.UsersService |
Read Users
SCOPE_USER_READ
View workspace members and their roles.
| Method | Description |
|---|---|
ListDomainMemberssynq.domains.members.v1.DomainMembersService | List domain members. |
ListUserDomainssynq.domains.members.v1.DomainMembersService | List domains for the given user. |
SetDefaultUserDomainsynq.domains.members.v1.DomainMembersService | Set default domain for user. |
BatchGetUserssynq.users.v1.UsersService | |
GetByAliassynq.users.v1.UsersService | |
GetByEmailsynq.users.v1.UsersService | |
GetUserAliasessynq.users.v1.UsersService | |
GetUserIdentitiessynq.users.v1.UsersService | Returns all canonical identity strings for a user. |
ListUserssynq.users.v1.UsersService |
Assign Users
SCOPE_USER_ASSIGN
Assign users as owners of entities, issues, and other resources.
| Method | Description |
|---|---|
AddDomainMemberssynq.domains.members.v1.DomainMembersService | Add domain members. |
RemoveDomainMemberssynq.domains.members.v1.DomainMembersService | Remove domain members. |
Read Monitors
SCOPE_MONITORS_READ
View monitors and their configuration.
| Method | Description |
|---|---|
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
ListConfigsMonitorssynq.monitors.custom_monitors.v1.CustomMonitorsService GET /api/monitors/custom-monitors/v1/by-config | |
ListMonitorssynq.monitors.custom_monitors.v1.CustomMonitorsService GET /api/monitors/custom-monitors/v1 | |
Historysynq.monitors.history.v1.HistoryService GET /api/monitors/history/v1/{monitor_path} | |
MonitorInfosynq.monitors.info.v1.MonitorInfoService GET /api/monitors/info/v1 | |
BatchGetLatestEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService POST /api/monitors/predictions/v1/entity-metrics:batchLatest | Returns the most recent observed table-stats sample (row count, freshness) for each |
GetEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1/entity-metrics | Returns raw metric timeseries for an entity. Identity-aware: resolves |
GetMonitorPredictionssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1 | Returns prediction timeseries for a monitor. The monitor must exist |
Edit Automatic Monitors
SCOPE_MONITORS_AUTOMATIC_EDIT
Enable, disable, and configure automatic monitors.
| Method | Description |
|---|---|
BatchDeleteDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService DELETE /api/monitors/automated/v1/deployment-rules/batch | |
BatchDeployDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/batch/deployed | |
BatchGetDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules/batch | |
BatchUpdateDeploymentRuleTitlesynq.monitors.automated_monitors.v1.DeploymentRulesService PATCH /api/monitors/automated/v1/deployment-rules | |
BatchUpsertDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/batch | |
DeleteDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService DELETE /api/monitors/automated/v1/deployment-rule/{id} | |
DeployDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/deployed | |
GetDeployDeleteOverviewsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rule/{id}/deleted | |
GetDeployOverviewsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rule | |
ListDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules | |
ListDeploymentRulesForAssetsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules/{asset_path} | |
UpsertDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules |
Edit Custom Monitors
SCOPE_MONITORS_CUSTOM_EDIT
Create, update, and delete custom monitors.
| Method | Description |
|---|---|
BatchCreateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1 | |
BatchDeleteMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/delete | |
BatchUpdateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService PUT /api/monitors/custom-monitors/v1 | |
BatchUpdateMonitorModesynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/mode | |
BatchUpdateMonitorSeveritysynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/severity | |
ConfigChangesOverviewsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/config-changes |
Edit Custom SQL Monitors
SCOPE_MONITORS_CUSTOM_SQL_EDIT
Create and update custom monitors backed by a custom SQL query.
| Method | Description |
|---|---|
BatchCreateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1 | |
BatchUpdateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService PUT /api/monitors/custom-monitors/v1 |
Edit Alerts
SCOPE_ALERTS_EDIT
Create, update, and delete alert rules and notification channels.
| Method | Description |
|---|---|
Createsynq.alerts.services.v1.AlertsService POST /api/alerts/v1 | Create a new alert configuration. |
Deletesynq.alerts.services.v1.AlertsService DELETE /api/alerts/v1 | Delete an existing alert configuration. |
ToggleEnabledsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/toggle | Enables or disables an existing alert configuration. |
Updatesynq.alerts.services.v1.AlertsService PUT /api/alerts/v1 | Update an existing alert configuration. |
Read Alerts
SCOPE_ALERTS_READ
View alert rules and notification channels.
| Method | Description |
|---|---|
BatchGetsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/get | Get multiple alert configurations by their identifiers. |
Listsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/list | Retrieves a list of alert configurations based on filters. |
Edit Data Products
SCOPE_DATAPRODUCT_EDIT
Create, update, and delete data products.
| Method | Description |
|---|---|
Deletesynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/delete | Delete a dataproduct by its identifier. |
RemoveDefinitionPartsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition/part/delete | Remove definition part from the definition of an existing dataproduct. |
SetDefinitionsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition | Set the definition for an existing dataproduct. |
Upsertsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1 | Create or update a dataproduct. |
UpsertDefinitionPartsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition/part | Upsert definition part to the definition of an existing dataproduct. |
Read Data Products
SCOPE_DATAPRODUCT_READ
View data products and their contents.
| Method | Description |
|---|---|
Getsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/get | Get multiple dataproducts by their identifiers. |
Listsynq.dataproducts.v1.DataproductsService GET /api/dataproducts/v1 | List all the dataproducts in the current scope. |
Edit Domains
SCOPE_DOMAIN_EDIT
Create, update, and delete domains.
| Method | Description |
|---|---|
Deletesynq.domains.v1.DomainsService | Delete a domain by its identifier. |
RemoveDefinitionPartsynq.domains.v1.DomainsService | Remove definition part from the definition of an existing domain. |
SetDefinitionsynq.domains.v1.DomainsService | Set the definition for an existing domain. |
Upsertsynq.domains.v1.DomainsService | Create or update a domain. |
UpsertDefinitionPartsynq.domains.v1.DomainsService | Upsert definition part to the definition of an existing domain. |
Read Domains
SCOPE_DOMAIN_READ
View domains and their contents.
| Method | Description |
|---|---|
BatchGetsynq.domains.v1.DomainsService | Get multiple domains by their identifiers. |
FetchDomainWithSubDomainssynq.domains.v1.DomainsService | Get a domain with its sub-domains |
Listsynq.domains.v1.DomainsService | List all the domains in the current workspace. |
Manage Extensions
SCOPE_EXTENSIONS_MANAGE
Manage platform extensions, including data warehouse agent and catalog connections.
| Method | Description |
|---|---|
GenerateConnectionsYamlsynq.agent.dwh.v1.ConnectionsService | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format. |
ListConnectionssynq.agent.dwh.v1.ConnectionsService | ListConnections retrieves data warehouse connections for a workspace. |
Activatesynq.extensions.atlan.integrations.v1.AtlanIntegrationService PATCH /api/extensions/atlan/integrations/v1 | Activate or deactivate the integration. |
Pingsynq.extensions.atlan.integrations.v1.AtlanIntegrationService POST /api/extensions/atlan/integrations/v1/ping | Pings Atlan with the given connection credentials. |
Removesynq.extensions.atlan.integrations.v1.AtlanIntegrationService DELETE /api/extensions/atlan/integrations/v1 | |
Upsertsynq.extensions.atlan.integrations.v1.AtlanIntegrationService POST /api/extensions/atlan/integrations/v1 | Upserts an integration and validates it by checking if the provided API URL and token are valid. |
GetAtlanConnectionssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/connections | |
GetAtlanDataProductssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/data-products | |
GetAtlanDomainssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/domains | |
FetchRunssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/runs | |
GetConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/connection-mappings | |
GetDomainMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/domain-mappings | |
GetMappingTogglessynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/mappings/toggle | |
GetProductMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/product-mappings | |
RemoveConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService DELETE /api/extensions/atlan/workflows/v1/connection-mappings | |
SetConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/connection-mappings | |
SetMappingTogglessynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/mappings/toggle | |
Synchronizesynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/synchronize | Run a synchronization job for the integration. |
MCP Read Access
SCOPE_MCP_READ
Use any read-only MCP (Model Context Protocol) tool, including tools added in the future.
| Method | Description |
|---|---|
GenerateConnectionsYamlsynq.agent.dwh.v1.ConnectionsService | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format. |
ListConnectionssynq.agent.dwh.v1.ConnectionsService | ListConnections retrieves data warehouse connections for a workspace. |
GetAuditLogsynq.agent.recon.v1.AuditLogService | GetAuditLog returns a single audit log by invocation ID. |
ListAuditLogssynq.agent.recon.v1.AuditLogService | ListAuditLogs returns audit logs ordered from newest to oldest, optionally filtered by suite and tim… |
BatchReconciliationRunStatesynq.agent.recon.v1.RunStateService | BatchReconciliationRunState returns the latest concluded run and any ongoing |
ListReconciliationRunStatesynq.agent.recon.v1.RunStateService | ListReconciliationRunState returns runs filtered by status and/or suite_id. |
GetSuiteConfigsynq.agent.recon.v1.SuiteConfigService | Get the latest version of a suite config by suite_id. |
GetSuiteConfigVersionsynq.agent.recon.v1.SuiteConfigService | Get a specific historical version of a suite config. |
ListSuiteConfigVersionssynq.agent.recon.v1.SuiteConfigService | Get version history for a suite config. |
ListSuiteConfigssynq.agent.recon.v1.SuiteConfigService | List latest suite configs with filtering and pagination. |
GetSuiteDeploymentsynq.agent.recon.v1.SuiteDeploymentService | Fetch a deployment by suite_id or deployment_id. |
ListSuiteDeploymentHistorysynq.agent.recon.v1.SuiteDeploymentService | List the append-only history of a deployment (every promote, |
ListSuiteDeploymentssynq.agent.recon.v1.SuiteDeploymentService | List deployments for the caller’s workspace. Filters support answering |
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
GetConfigsynq.agent.sre.v1.SreAgentService | GetConfig returns the Scout configuration (system prompts + DWH connection |
ListPromptSuggestionssynq.agent.sre.v1.SreAgentService | ListPromptSuggestions returns prompt-improvement suggestions recorded for the |
BatchSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | |
GetActiveSuggestionStatesForsynq.agent.sre.v1.TestsSuggestionStateService | |
ListSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | |
BatchLatestConclusionssynq.agent.sre.v1.TriageService GET /api/triage/v1/conclusions | Retrieves the latest triage state for one or more issues. This method is used by the LLM agent |
BatchTriageStatesynq.agent.sre.v1.TriageService GET /api/triage/v1/states | Retrieves the triage state for one or more issues. This method is used by the LLM agent |
ListTriageStatesynq.agent.sre.v1.TriageService GET /api/triage/v1/statuses | Retrieves the triage state for one or more issues. This method is used by the LLM agent |
BatchGetSqlTestssynq.datachecks.sqltests.v1.SqlTestsService POST /api/datachecks/sqltests/v1/by-id | Get SqlTests by their IDs. |
ListSqlTestssynq.datachecks.sqltests.v1.SqlTestsService GET /api/datachecks/sqltests/v1 | List SqlTests for given annotations. |
BatchGetTestSuggestionsForEntitiessynq.datachecks.testsuggestions.v1.TestSuggestionsService GET /api/datachecks/testsuggestions/v1 | |
Getsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/get | Get multiple dataproducts by their identifiers. |
Listsynq.dataproducts.v1.DataproductsService GET /api/dataproducts/v1 | List all the dataproducts in the current scope. |
ListAnnotationssynq.entities.annotations.v1.AnnotationsService GET /api/entities/annotations/v1 | List all available annotations with their usage counts across entities. |
BatchChangesynq.entities.changes.v1.ChangesService POST /api/changes/v1/by-id | BatchChange retrieves multiple entity changes by their IDs in a single request. |
Listsynq.entities.changes.v1.ChangesService GET /api/changes/v1 | Retrieves the complete change history for specified entities. |
GetCoveragesynq.entities.checks.v1.ChecksCoverageService | GetCoverage retrieves the coverage of checks for a specific entity. |
ListCodesynq.entities.code.v1.CodeService GET /api/code/v1 | ListCode retrieves all code artifacts associated with a specific entity. |
GetTableConstraintssynq.entities.constraints.v1.TableConstraintsService GET /api/constraints/v1/table-constraints | Get table constraints (primary keys, foreign keys, indexes, etc.) for a given entity. |
BatchDatabaseCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-id | Get multiple DatabaseCoordinates for identifiers. |
BatchIdsByCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-fqn | Given database FQN return possible entity ids. |
ListEntitiessynq.entities.custom.v1.EntitiesService GET /api/entities/custom/v1/entities | List all entities. |
ListEntityFeaturessynq.entities.custom.v1.FeaturesService POST /api/entities/custom/v1/features/list | List all entities. |
ListEntityGroupssynq.entities.custom.v1.GroupsService POST /api/entities/custom/v1/groups/list | ListEntityGroups lists all groups. |
ListRelationshipssynq.entities.custom.v1.RelationshipsService POST /api/entities/custom/v1/relationships/list | Delete relationships between entities. If the relationship does not exist, it will be ignored. |
BatchGetEntitiessynq.entities.entities.v1.EntitiesService POST /api/entities/v1/by-id | Get multiple entities by their identifiers. |
GetEntitysynq.entities.entities.v1.EntitiesService | Get specific entity by its identifier. |
ListEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1 | List entities matching the given filter |
SearchEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1/search | Search for entities. |
BatchGetExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/by-id | BatchGetExecutions retrieves multiple executions by their IDs. |
GetExecutionsSummarysynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/summary | GetExecutionsSummary provides aggregated statistics about executions for specified entities. |
GetLatestExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/latest | GetLatestExecutions retrieves the most recent execution for each specified entity. |
ListExecutionssynq.entities.executions.v2.EntityExecutionsService GET /api/executions/v2/list | ListExecutions retrieves a paginated list of executions for one or more entities. |
GetImpactsynq.entities.impact.v1.ImpactService POST /api/impact/v1 | |
GetLineagesynq.entities.lineage.v1.LineageService POST /api/lineage/v1 | |
BatchOrchestrationsynq.entities.orchestration.v1.OrchestrationService GET /api/orchestration/v1 | BatchOrchestration retrieves orchestration relationships for multiple entities. |
BatchResolveIdentifierssynq.entities.resolve.v1.IdentifierResolveService POST /api/resolve/v1/by-id | Resolve multiple identifiers, returning their Coalesce Quality paths and identity groups. |
BatchSchemaMismatchessynq.entities.schemas.v1.SchemaMismatchesService POST /api/schema-mismatches/v1 | Get schema mismatches for a batch of entities by their identifiers. |
GetSchemasynq.entities.schemas.v1.SchemasService GET /api/schema/v1 | Get schema of the entity its identifier. |
BatchSqlDetailssynq.entities.sql_insights.v1.SqlInsightsService POST /api/sql-insights/v1/details:batch | BatchSqlDetails returns the SQL details (currently the set of detected SQL |
ListSqlConstructssynq.entities.sql_insights.v1.SqlInsightsService GET /api/sql-insights/v1/constructs | ListSqlConstructs returns the distribution of SQL constructs across all |
BatchGetIncidentssynq.entities.status.v1.EntityIncidentsService POST /api/status/v1/incidents/by-id | Get multiple entity statuses by their identifiers. |
GetIncidentssynq.entities.status.v1.EntityIncidentsService | Get specific entity status by its identifier. |
BatchGetIssuesStatussynq.entities.status.v1.EntityIssuesService POST /api/status/v1/issues/by-id | Get multiple entity statuses by their identifiers. |
GetDiffByChangeIdsynq.git.commits.v1.CommitsService GET /api/git/v1/change/{change_id} | |
GetDiffByCommitsynq.git.commits.v1.CommitsService GET /api/git/v1/commit/{commit_sha} | |
BatchGetIncidentssynq.incidents.v1.IncidentsService POST /api/incidents/v1/by-id | |
ListIncidentssynq.incidents.v1.IncidentsService GET /api/incidents/v1 | |
BatchGetIssuessynq.issues.issues.v1.IssuesService POST /api/issues/v1/by-id | |
ListIssuessynq.issues.issues.v1.IssuesService GET /api/issues/v1 | |
BatchGetIssuessynq.issues.v2.IssuesService POST /api/issues/v2/by-id | |
ListIssuessynq.issues.v2.IssuesService GET /api/issues/v2 | |
Historysynq.monitors.history.v1.HistoryService GET /api/monitors/history/v1/{monitor_path} | |
MonitorInfosynq.monitors.info.v1.MonitorInfoService GET /api/monitors/info/v1 | |
BatchGetLatestEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService POST /api/monitors/predictions/v1/entity-metrics:batchLatest | Returns the most recent observed table-stats sample (row count, freshness) for each |
GetEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1/entity-metrics | Returns raw metric timeseries for an entity. Identity-aware: resolves |
GetMonitorPredictionssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1 | Returns prediction timeseries for a monitor. The monitor must exist |
BatchGetsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/batch-get | Fetch multiple saved views by id. Ids the caller cannot see, or that do not |
Listsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/list | List the saved views the calling user can see. By default returns every |
SetPinsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/set-pin | Pin or unpin a saved view to the calling user’s main screen. Pinning is a |
GetByEmailsynq.users.v1.UsersService | |
GetUserIdentitiessynq.users.v1.UsersService | Returns all canonical identity strings for a user. |
ListUserssynq.users.v1.UsersService |
MCP Write Access
SCOPE_MCP_WRITE
Use any write MCP (Model Context Protocol) tool, including tools added in the future.
No public gRPC/REST methods require this scope directly (e.g. MCP tools or future methods).
Read Reconciliation Audits and Settings
SCOPE_RECON_READ
View reconciliation suites, settings, and audit results.
| Method | Description |
|---|---|
GetAuditLogsynq.agent.recon.v1.AuditLogService | GetAuditLog returns a single audit log by invocation ID. |
ListAuditLogssynq.agent.recon.v1.AuditLogService | ListAuditLogs returns audit logs ordered from newest to oldest, optionally filtered by suite and tim… |
BatchReconciliationRunStatesynq.agent.recon.v1.RunStateService | BatchReconciliationRunState returns the latest concluded run and any ongoing |
ListReconciliationRunStatesynq.agent.recon.v1.RunStateService | ListReconciliationRunState returns runs filtered by status and/or suite_id. |
GetSuiteConfigsynq.agent.recon.v1.SuiteConfigService | Get the latest version of a suite config by suite_id. |
GetSuiteConfigVersionsynq.agent.recon.v1.SuiteConfigService | Get a specific historical version of a suite config. |
ListSuiteConfigVersionssynq.agent.recon.v1.SuiteConfigService | Get version history for a suite config. |
ListSuiteConfigssynq.agent.recon.v1.SuiteConfigService | List latest suite configs with filtering and pagination. |
GetSuiteDeploymentsynq.agent.recon.v1.SuiteDeploymentService | Fetch a deployment by suite_id or deployment_id. |
ListSuiteDeploymentHistorysynq.agent.recon.v1.SuiteDeploymentService | List the append-only history of a deployment (every promote, |
ListSuiteDeploymentssynq.agent.recon.v1.SuiteDeploymentService | List deployments for the caller’s workspace. Filters support answering |
Read Check Categorisation Rules and Status
SCOPE_POLICIES_READ
View check categorisation rules and their status.
| Method | Description |
|---|---|
ListCheckCategoriessynq.entities.checks.v1.ChecksCategoriesService GET /api/entities/checks/v1/categories | ListCheckCategories returns every explicit check category in the |
Read Saved Views
SCOPE_SAVED_VIEW_READ
View saved views the caller has access to.
| Method | Description |
|---|---|
BatchGetsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/batch-get | Fetch multiple saved views by id. Ids the caller cannot see, or that do not |
Listsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/list | List the saved views the calling user can see. By default returns every |
SetPinsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/set-pin | Pin or unpin a saved view to the calling user’s main screen. Pinning is a |
Create and Edit Saved Views
SCOPE_SAVED_VIEW_EDIT
Create, update, and delete the caller’s own saved views.
| Method | Description |
|---|---|
Deletesynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/delete | Delete a saved view. Idempotent — deleting an already-deleted or unknown |
Upsertsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1 | Create or update a saved view. |
Manage All Saved Views in the Workspace
SCOPE_SAVED_VIEW_ADMIN
Manage all saved views in the workspace, including those owned by other users.
| Method | Description |
|---|---|
Deletesynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/delete | Delete a saved view. Idempotent — deleting an already-deleted or unknown |
Upsertsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1 | Create or update a saved view. |
Endpoint reference
Every public API method a customer token can call, and the scopes that satisfy it. A token needs any one of the listed scopes.| Method | Scopes |
|---|---|
GenerateConnectionsYamlsynq.agent.dwh.v1.ConnectionsService | SCOPE_MCP_READSCOPE_EXTENSIONS_MANAGESCOPE_ENTITY_READ |
ListConnectionssynq.agent.dwh.v1.ConnectionsService | SCOPE_MCP_READSCOPE_EXTENSIONS_MANAGESCOPE_ENTITY_READ |
GetAuditLogsynq.agent.recon.v1.AuditLogService | SCOPE_RECON_READSCOPE_MCP_READ |
ListAuditLogssynq.agent.recon.v1.AuditLogService | SCOPE_RECON_READSCOPE_MCP_READ |
BatchReconciliationRunStatesynq.agent.recon.v1.RunStateService | SCOPE_RECON_READSCOPE_MCP_READ |
ListReconciliationRunStatesynq.agent.recon.v1.RunStateService | SCOPE_RECON_READSCOPE_MCP_READ |
GetSuiteConfigsynq.agent.recon.v1.SuiteConfigService | SCOPE_RECON_READSCOPE_MCP_READ |
GetSuiteConfigVersionsynq.agent.recon.v1.SuiteConfigService | SCOPE_RECON_READSCOPE_MCP_READ |
ListSuiteConfigVersionssynq.agent.recon.v1.SuiteConfigService | SCOPE_RECON_READSCOPE_MCP_READ |
ListSuiteConfigssynq.agent.recon.v1.SuiteConfigService | SCOPE_RECON_READSCOPE_MCP_READ |
GetSuiteDeploymentsynq.agent.recon.v1.SuiteDeploymentService | SCOPE_RECON_READSCOPE_MCP_READ |
ListSuiteDeploymentHistorysynq.agent.recon.v1.SuiteDeploymentService | SCOPE_RECON_READSCOPE_MCP_READ |
ListSuiteDeploymentssynq.agent.recon.v1.SuiteDeploymentService | SCOPE_RECON_READSCOPE_MCP_READ |
ParseYamlsynq.agent.recon.v1.YamlService POST /api/agent/recon/v1/yaml/parse | — |
RenderYamlsynq.agent.recon.v1.YamlService POST /api/agent/recon/v1/yaml/render | — |
SubmitFeatureRequestsynq.agent.sre.v1.FeatureRequestService POST /api/feature-request/v1/submit | SCOPE_MCP_READSCOPE_ENTITY_READSCOPE_ISSUES_READSCOPE_INCIDENTS_READSCOPE_LINEAGE_READSCOPE_MONITORS_READSCOPE_EXECUTION_READSCOPE_CODE_READSCOPE_DATACHECKS_SQLTESTS_READSCOPE_DATACHECKS_TESTSUGGESTIONS_READ |
AcceptPromptSuggestionsynq.agent.sre.v1.SreAgentService | SCOPE_INTEGRATION_EDIT |
DismissPromptSuggestionsynq.agent.sre.v1.SreAgentService | SCOPE_INTEGRATION_EDIT |
GetConfigsynq.agent.sre.v1.SreAgentService | SCOPE_MCP_READ |
ListPromptSuggestionssynq.agent.sre.v1.SreAgentService | SCOPE_MCP_READ |
RecordPromptSuggestionsynq.agent.sre.v1.SreAgentService | SCOPE_INTEGRATION_EDIT |
BatchSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_READSCOPE_MCP_READ |
GetActiveSuggestionStatesForsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_READSCOPE_MCP_READ |
ListSuggestionStatessynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_READSCOPE_MCP_READ |
MarkAsCancelledsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
MarkAsCompletedsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
MarkAsFailedsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
MarkAsRunningsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
SuggestForsynq.agent.sre.v1.TestsSuggestionStateService | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
BatchLatestConclusionssynq.agent.sre.v1.TriageService GET /api/triage/v1/conclusions | SCOPE_MCP_READ |
BatchTriageStatesynq.agent.sre.v1.TriageService GET /api/triage/v1/states | SCOPE_MCP_READ |
ListTriageStatesynq.agent.sre.v1.TriageService GET /api/triage/v1/statuses | SCOPE_MCP_READ |
BatchGetsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/get | SCOPE_ALERTS_READ |
Createsynq.alerts.services.v1.AlertsService POST /api/alerts/v1 | SCOPE_ALERTS_EDIT |
Deletesynq.alerts.services.v1.AlertsService DELETE /api/alerts/v1 | SCOPE_ALERTS_EDIT |
Listsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/list | SCOPE_ALERTS_READ |
ToggleEnabledsynq.alerts.services.v1.AlertsService POST /api/alerts/v1/toggle | SCOPE_ALERTS_EDIT |
Updatesynq.alerts.services.v1.AlertsService PUT /api/alerts/v1 | SCOPE_ALERTS_EDIT |
Iamsynq.auth.iam.v1.IamService GET /api/iam/v1 | — |
BatchDeleteSqlTestssynq.datachecks.sqltests.v1.SqlTestsService DELETE /api/datachecks/sqltests/v1 | SCOPE_DATACHECKS_SQLTESTS_EDIT |
BatchGetSqlTestssynq.datachecks.sqltests.v1.SqlTestsService POST /api/datachecks/sqltests/v1/by-id | SCOPE_DATACHECKS_SQLTESTS_READSCOPE_MCP_READ |
BatchUpsertSqlTestssynq.datachecks.sqltests.v1.SqlTestsService POST /api/datachecks/sqltests/v1 | SCOPE_DATACHECKS_SQLTESTS_EDIT |
GetSqlTestAuditsynq.datachecks.sqltests.v1.SqlTestsService | SCOPE_DATACHECKS_SQLTESTS_AUDIT_READ |
ListSqlTestssynq.datachecks.sqltests.v1.SqlTestsService GET /api/datachecks/sqltests/v1 | SCOPE_DATACHECKS_SQLTESTS_READSCOPE_MCP_READ |
BatchAcceptTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService PATCH /api/datachecks/testsuggestions/v1/accepted | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
BatchCreateTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService POST /api/datachecks/testsuggestions/v1 | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
BatchGetTestSuggestionsForEntitiessynq.datachecks.testsuggestions.v1.TestSuggestionsService GET /api/datachecks/testsuggestions/v1 | SCOPE_DATACHECKS_TESTSUGGESTIONS_READSCOPE_MCP_READ |
BatchRejectTestSuggestionssynq.datachecks.testsuggestions.v1.TestSuggestionsService PATCH /api/datachecks/testsuggestions/v1/rejected | SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT |
TriggerDatacheckssynq.datachecks.v1.TriggerService POST /api/datachecks/scheduler/v1/trigger | SCOPE_DATACHECKS_TRIGGER |
Deletesynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/delete | SCOPE_DATAPRODUCT_EDIT |
Getsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/get | SCOPE_DATAPRODUCT_READSCOPE_MCP_READ |
Listsynq.dataproducts.v1.DataproductsService GET /api/dataproducts/v1 | SCOPE_DATAPRODUCT_READSCOPE_MCP_READ |
RemoveDefinitionPartsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition/part/delete | SCOPE_DATAPRODUCT_EDIT |
SetDefinitionsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition | SCOPE_DATAPRODUCT_EDIT |
Upsertsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1 | SCOPE_DATAPRODUCT_EDIT |
UpsertDefinitionPartsynq.dataproducts.v1.DataproductsService POST /api/dataproducts/v1/definition/part | SCOPE_DATAPRODUCT_EDIT |
AddDomainMemberssynq.domains.members.v1.DomainMembersService | SCOPE_USER_ASSIGN |
ListDomainMemberssynq.domains.members.v1.DomainMembersService | SCOPE_USER_READ |
ListUserDomainssynq.domains.members.v1.DomainMembersService | SCOPE_USER_READ |
RemoveDomainMemberssynq.domains.members.v1.DomainMembersService | SCOPE_USER_ASSIGN |
SetDefaultUserDomainsynq.domains.members.v1.DomainMembersService | SCOPE_USER_READ |
BatchGetsynq.domains.v1.DomainsService | SCOPE_DOMAIN_READ |
Deletesynq.domains.v1.DomainsService | SCOPE_DOMAIN_EDIT |
FetchDomainWithSubDomainssynq.domains.v1.DomainsService | SCOPE_DOMAIN_READ |
Listsynq.domains.v1.DomainsService | SCOPE_DOMAIN_READ |
RemoveDefinitionPartsynq.domains.v1.DomainsService | SCOPE_DOMAIN_EDIT |
SetDefinitionsynq.domains.v1.DomainsService | SCOPE_DOMAIN_EDIT |
Upsertsynq.domains.v1.DomainsService | SCOPE_DOMAIN_EDIT |
UpsertDefinitionPartsynq.domains.v1.DomainsService | SCOPE_DOMAIN_EDIT |
ListAnnotationssynq.entities.annotations.v1.AnnotationsService GET /api/entities/annotations/v1 | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchChangesynq.entities.changes.v1.ChangesService POST /api/changes/v1/by-id | SCOPE_ENTITY_READSCOPE_MCP_READ |
Listsynq.entities.changes.v1.ChangesService GET /api/changes/v1 | SCOPE_ENTITY_READSCOPE_MCP_READ |
ListCheckCategoriessynq.entities.checks.v1.ChecksCategoriesService GET /api/entities/checks/v1/categories | SCOPE_POLICIES_READ |
GetCoveragesynq.entities.checks.v1.ChecksCoverageService | SCOPE_ENTITY_READSCOPE_MCP_READ |
ListCodesynq.entities.code.v1.CodeService GET /api/code/v1 | SCOPE_CODE_READSCOPE_MCP_READ |
GetTableConstraintssynq.entities.constraints.v1.TableConstraintsService GET /api/constraints/v1/table-constraints | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchDatabaseCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-id | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchIdsByCoordinatessynq.entities.coordinates.v1.DatabaseCoordinatesService POST /api/coordinates/v1/database/by-fqn | SCOPE_ENTITY_READSCOPE_MCP_READ |
DeleteCheckRelationshipssynq.entities.custom.v1.ChecksRelationshipsService | SCOPE_ENTITY_EDIT |
UpsertCheckRelationshipssynq.entities.custom.v1.ChecksRelationshipsService | SCOPE_ENTITY_EDIT |
DeleteEntitysynq.entities.custom.v1.EntitiesService DELETE /api/entities/custom/v1/entities | SCOPE_ENTITY_EDIT |
ListEntitiessynq.entities.custom.v1.EntitiesService GET /api/entities/custom/v1/entities | SCOPE_ENTITY_READSCOPE_MCP_READ |
UpsertEntitysynq.entities.custom.v1.EntitiesService POST /api/entities/custom/v1/entities | SCOPE_ENTITY_EDIT |
UpsertExecutionsynq.entities.custom.v1.EntityExecutionsService POST /api/entities/custom/executions/v1 | SCOPE_EXECUTION_EDIT |
UpsertLogEntrysynq.entities.custom.v1.EntityExecutionsService POST /api/entities/custom/executions/v1/log-entry | SCOPE_EXECUTION_EDITSCOPE_EXECUTION_LOG_EDIT |
DeleteEntityFeaturesynq.entities.custom.v1.FeaturesService DELETE /api/entities/custom/v1/features | SCOPE_ENTITY_EDIT |
ListEntityFeaturessynq.entities.custom.v1.FeaturesService POST /api/entities/custom/v1/features/list | SCOPE_ENTITY_READSCOPE_MCP_READ |
UpsertEntityFeaturesynq.entities.custom.v1.FeaturesService POST /api/entities/custom/v1/features | SCOPE_ENTITY_EDIT |
DeleteEntitiesGroupsynq.entities.custom.v1.GroupsService DELETE /api/entities/custom/v1/groups | SCOPE_ENTITY_EDIT |
ListEntityGroupssynq.entities.custom.v1.GroupsService POST /api/entities/custom/v1/groups/list | SCOPE_ENTITY_READSCOPE_MCP_READ |
UpsertEntitiesGroupsynq.entities.custom.v1.GroupsService POST /api/entities/custom/v1/groups | SCOPE_ENTITY_EDIT |
DeleteRelationshipssynq.entities.custom.v1.RelationshipsService DELETE /api/entities/custom/v1/relationships | SCOPE_LINEAGE_EDIT |
ListRelationshipssynq.entities.custom.v1.RelationshipsService POST /api/entities/custom/v1/relationships/list | SCOPE_LINEAGE_READSCOPE_MCP_READ |
UpsertRelationshipssynq.entities.custom.v1.RelationshipsService POST /api/entities/custom/v1/relationships | SCOPE_LINEAGE_EDIT |
DeleteTypesynq.entities.custom.v1.TypesService DELETE /api/entities/custom/v1/types | SCOPE_ENTITY_TYPE_EDIT |
ListTypessynq.entities.custom.v1.TypesService POST /api/entities/custom/v1/types/list | SCOPE_ENTITY_READSCOPE_ENTITY_TYPE_READ |
UpsertTypesynq.entities.custom.v1.TypesService POST /api/entities/custom/v1/types | SCOPE_ENTITY_TYPE_EDIT |
BatchGetEntitiessynq.entities.entities.v1.EntitiesService POST /api/entities/v1/by-id | SCOPE_ENTITY_READSCOPE_MCP_READ |
GetEntitysynq.entities.entities.v1.EntitiesService | SCOPE_ENTITY_READSCOPE_MCP_READ |
ListEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1 | SCOPE_ENTITY_READSCOPE_MCP_READ |
SearchEntitiessynq.entities.entities.v1.EntitiesService GET /api/entities/v1/search | SCOPE_ENTITY_READSCOPE_MCP_READ |
UpsertExecutionsynq.entities.executions.v1.EntityExecutionsService POST /api/executions/v1 | SCOPE_EXECUTION_EDIT |
UpsertLogEntrysynq.entities.executions.v1.EntityExecutionsService POST /api/executions/v1/log-entry | SCOPE_EXECUTION_EDITSCOPE_EXECUTION_LOG_EDIT |
BatchGetExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/by-id | SCOPE_EXECUTION_READSCOPE_MCP_READ |
GetExecutionsSummarysynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/summary | SCOPE_EXECUTION_READSCOPE_MCP_READ |
GetLatestExecutionssynq.entities.executions.v2.EntityExecutionsService POST /api/executions/v2/latest | SCOPE_EXECUTION_READSCOPE_MCP_READ |
ListExecutionssynq.entities.executions.v2.EntityExecutionsService GET /api/executions/v2/list | SCOPE_EXECUTION_READSCOPE_MCP_READ |
GetImpactsynq.entities.impact.v1.ImpactService POST /api/impact/v1 | SCOPE_ENTITY_READSCOPE_LINEAGE_READSCOPE_MCP_READ |
GetLineagesynq.entities.lineage.v1.LineageService POST /api/lineage/v1 | SCOPE_LINEAGE_READSCOPE_MCP_READ |
BatchOrchestrationsynq.entities.orchestration.v1.OrchestrationService GET /api/orchestration/v1 | SCOPE_LINEAGE_READSCOPE_MCP_READ |
BatchResolveIdentifierssynq.entities.resolve.v1.IdentifierResolveService POST /api/resolve/v1/by-id | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchSchemaMismatchessynq.entities.schemas.v1.SchemaMismatchesService POST /api/schema-mismatches/v1 | SCOPE_ENTITY_READSCOPE_MCP_READ |
GetSchemasynq.entities.schemas.v1.SchemasService GET /api/schema/v1 | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchSqlDetailssynq.entities.sql_insights.v1.SqlInsightsService POST /api/sql-insights/v1/details:batch | SCOPE_ENTITY_READSCOPE_MCP_READ |
ListSqlConstructssynq.entities.sql_insights.v1.SqlInsightsService GET /api/sql-insights/v1/constructs | SCOPE_ENTITY_READSCOPE_MCP_READ |
BatchGetIncidentssynq.entities.status.v1.EntityIncidentsService POST /api/status/v1/incidents/by-id | SCOPE_STATUS_READSCOPE_MCP_READ |
GetIncidentssynq.entities.status.v1.EntityIncidentsService | SCOPE_STATUS_READSCOPE_MCP_READ |
BatchGetIssuesStatussynq.entities.status.v1.EntityIssuesService POST /api/status/v1/issues/by-id | SCOPE_STATUS_READSCOPE_MCP_READ |
GetIssuesStatussynq.entities.status.v1.EntityIssuesService | SCOPE_STATUS_READ |
Activatesynq.extensions.atlan.integrations.v1.AtlanIntegrationService PATCH /api/extensions/atlan/integrations/v1 | SCOPE_EXTENSIONS_MANAGE |
Pingsynq.extensions.atlan.integrations.v1.AtlanIntegrationService POST /api/extensions/atlan/integrations/v1/ping | SCOPE_EXTENSIONS_MANAGE |
Removesynq.extensions.atlan.integrations.v1.AtlanIntegrationService DELETE /api/extensions/atlan/integrations/v1 | SCOPE_EXTENSIONS_MANAGE |
Upsertsynq.extensions.atlan.integrations.v1.AtlanIntegrationService POST /api/extensions/atlan/integrations/v1 | SCOPE_EXTENSIONS_MANAGE |
GetAtlanConnectionssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/connections | SCOPE_EXTENSIONS_MANAGE |
GetAtlanDataProductssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/data-products | SCOPE_EXTENSIONS_MANAGE |
GetAtlanDomainssynq.extensions.atlan.provider.v1.AtlanProviderService GET /api/extensions/atlan/provider/v1/domains | SCOPE_EXTENSIONS_MANAGE |
FetchRunssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/runs | SCOPE_EXTENSIONS_MANAGE |
GetConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/connection-mappings | SCOPE_EXTENSIONS_MANAGE |
GetDomainMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/domain-mappings | SCOPE_EXTENSIONS_MANAGE |
GetMappingTogglessynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/mappings/toggle | SCOPE_EXTENSIONS_MANAGE |
GetProductMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService GET /api/extensions/atlan/workflows/v1/product-mappings | SCOPE_EXTENSIONS_MANAGE |
RemoveConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService DELETE /api/extensions/atlan/workflows/v1/connection-mappings | SCOPE_EXTENSIONS_MANAGE |
SetConnectionMappingssynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/connection-mappings | SCOPE_EXTENSIONS_MANAGE |
SetMappingTogglessynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/mappings/toggle | SCOPE_EXTENSIONS_MANAGE |
Synchronizesynq.extensions.atlan.workflows.v1.AtlanWorkflowService POST /api/extensions/atlan/workflows/v1/synchronize | SCOPE_EXTENSIONS_MANAGE |
GetDiffByChangeIdsynq.git.commits.v1.CommitsService GET /api/git/v1/change/{change_id} | SCOPE_CODE_READSCOPE_MCP_READ |
GetDiffByCommitsynq.git.commits.v1.CommitsService GET /api/git/v1/commit/{commit_sha} | SCOPE_ENTITY_READSCOPE_MCP_READ |
AddIssuesToIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/issues | SCOPE_INCIDENTS_EDIT |
AssignIncidentOwnersynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/assign-owner | SCOPE_INCIDENTS_EDIT |
BatchGetIncidentssynq.incidents.v1.IncidentsService POST /api/incidents/v1/by-id | SCOPE_INCIDENTS_READSCOPE_MCP_READ |
CancelIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/cancel | SCOPE_INCIDENTS_EDIT |
CloseIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/close | SCOPE_INCIDENTS_EDIT |
CreateIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1 | SCOPE_INCIDENTS_EDIT |
ListIncidentssynq.incidents.v1.IncidentsService GET /api/incidents/v1 | SCOPE_INCIDENTS_READSCOPE_MCP_READ |
MergeIncidentssynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/merge | SCOPE_INCIDENTS_EDIT |
PostCommentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/comment | SCOPE_INCIDENTS_EDIT |
RemoveIssuesFromIncidentsynq.incidents.v1.IncidentsService DELETE /api/incidents/v1/{incident_id}/issues | SCOPE_INCIDENTS_EDIT |
RenameIncidentsynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/rename | SCOPE_INCIDENTS_EDIT |
SplitIncidentsynq.incidents.v1.IncidentsService POST /api/incidents/v1/{incident_id}/split | SCOPE_INCIDENTS_EDIT |
UpdateIncidentStatesynq.incidents.v1.IncidentsService PATCH /api/incidents/v1/{incident_id}/state | SCOPE_INCIDENTS_EDIT |
BatchGetIntegrationssynq.integrations.v1.IntegrationsService POST /api/integrations/v1/by-id | SCOPE_INTEGRATION_EDIT |
CreateIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1 | SCOPE_INTEGRATION_EDIT |
DeleteIntegrationsynq.integrations.v1.IntegrationsService DELETE /api/integrations/v1/{integration_id} | SCOPE_INTEGRATION_EDIT |
DisableIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/disable | SCOPE_INTEGRATION_EDIT |
EnableIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/enable | SCOPE_INTEGRATION_EDIT |
GetIntegrationsynq.integrations.v1.IntegrationsService | SCOPE_INTEGRATION_EDIT |
GetIntegrationHealthsynq.integrations.v1.IntegrationsService | SCOPE_INTEGRATION_EDIT |
ListIntegrationssynq.integrations.v1.IntegrationsService GET /api/integrations/v1 | SCOPE_INTEGRATION_EDIT |
RefreshIntegrationsynq.integrations.v1.IntegrationsService POST /api/integrations/v1/{integration_id}/refresh | SCOPE_INTEGRATION_EDIT |
UpdateIntegrationsynq.integrations.v1.IntegrationsService PUT /api/integrations/v1/{integration_id} | SCOPE_INTEGRATION_EDIT |
BatchGetIssuessynq.issues.issues.v1.IssuesService POST /api/issues/v1/by-id | SCOPE_ISSUES_READSCOPE_MCP_READ |
ListIssuessynq.issues.issues.v1.IssuesService GET /api/issues/v1 | SCOPE_ISSUES_READSCOPE_MCP_READ |
MarkExpectedsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-expected | SCOPE_ISSUES_EDIT |
MarkFixedsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-fixed | SCOPE_ISSUES_EDIT |
MarkInvestigatingsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-investigating | SCOPE_ISSUES_EDIT |
MarkNoActionNeededsynq.issues.issues.v1.IssuesService PATCH /api/issues/v1/{issue_id}/mark-no-action-needed | SCOPE_ISSUES_EDIT |
PostCommentsynq.issues.issues.v1.IssuesService POST /api/issues/v1/{issue_id}/comment | SCOPE_ISSUES_EDIT |
BatchGetIssuessynq.issues.v2.IssuesService POST /api/issues/v2/by-id | SCOPE_ISSUES_READSCOPE_MCP_READ |
ClearStatussynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/clear-status | SCOPE_ISSUES_EDIT |
ListIssuessynq.issues.v2.IssuesService GET /api/issues/v2 | SCOPE_ISSUES_READSCOPE_MCP_READ |
MarkExpectedsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-expected | SCOPE_ISSUES_EDIT |
MarkFixedsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-fixed | SCOPE_ISSUES_EDIT |
MarkInvestigatingsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-investigating | SCOPE_ISSUES_EDIT |
MarkNoActionNeededsynq.issues.v2.IssuesService PATCH /api/issues/v2/{issue_id}/mark-no-action-needed | SCOPE_ISSUES_EDIT |
PostCommentsynq.issues.v2.IssuesService POST /api/issues/v2/{issue_id}/comment | SCOPE_ISSUES_EDIT |
BatchDeleteDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService DELETE /api/monitors/automated/v1/deployment-rules/batch | SCOPE_MONITORS_AUTOMATIC_EDIT |
BatchDeployDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/batch/deployed | SCOPE_MONITORS_AUTOMATIC_EDIT |
BatchGetDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules/batch | SCOPE_MONITORS_AUTOMATIC_EDIT |
BatchUpdateDeploymentRuleTitlesynq.monitors.automated_monitors.v1.DeploymentRulesService PATCH /api/monitors/automated/v1/deployment-rules | SCOPE_MONITORS_AUTOMATIC_EDIT |
BatchUpsertDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/batch | SCOPE_MONITORS_AUTOMATIC_EDIT |
DeleteDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService DELETE /api/monitors/automated/v1/deployment-rule/{id} | SCOPE_MONITORS_AUTOMATIC_EDIT |
DeployDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules/deployed | SCOPE_MONITORS_AUTOMATIC_EDIT |
GetDeployDeleteOverviewsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rule/{id}/deleted | SCOPE_MONITORS_AUTOMATIC_EDIT |
GetDeployOverviewsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rule | SCOPE_MONITORS_AUTOMATIC_EDIT |
ListDeploymentRulessynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules | SCOPE_MONITORS_AUTOMATIC_EDIT |
ListDeploymentRulesForAssetsynq.monitors.automated_monitors.v1.DeploymentRulesService GET /api/monitors/automated/v1/deployment-rules/{asset_path} | SCOPE_MONITORS_AUTOMATIC_EDIT |
UpsertDeploymentRulesynq.monitors.automated_monitors.v1.DeploymentRulesService POST /api/monitors/automated/v1/deployment-rules | SCOPE_MONITORS_AUTOMATIC_EDIT |
BatchCreateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1 | SCOPE_MONITORS_CUSTOM_EDITSCOPE_MONITORS_CUSTOM_SQL_EDIT |
BatchDeleteMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/delete | SCOPE_MONITORS_CUSTOM_EDIT |
BatchUpdateMonitorsynq.monitors.custom_monitors.v1.CustomMonitorsService PUT /api/monitors/custom-monitors/v1 | SCOPE_MONITORS_CUSTOM_EDITSCOPE_MONITORS_CUSTOM_SQL_EDIT |
BatchUpdateMonitorModesynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/mode | SCOPE_MONITORS_CUSTOM_EDIT |
BatchUpdateMonitorSeveritysynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/severity | SCOPE_MONITORS_CUSTOM_EDIT |
ConfigChangesOverviewsynq.monitors.custom_monitors.v1.CustomMonitorsService POST /api/monitors/custom-monitors/v1/config-changes | SCOPE_MONITORS_CUSTOM_EDIT |
ListConfigsMonitorssynq.monitors.custom_monitors.v1.CustomMonitorsService GET /api/monitors/custom-monitors/v1/by-config | SCOPE_MONITORS_READ |
ListMonitorssynq.monitors.custom_monitors.v1.CustomMonitorsService GET /api/monitors/custom-monitors/v1 | SCOPE_MONITORS_READ |
Historysynq.monitors.history.v1.HistoryService GET /api/monitors/history/v1/{monitor_path} | SCOPE_MONITORS_READSCOPE_MCP_READ |
MonitorInfosynq.monitors.info.v1.MonitorInfoService GET /api/monitors/info/v1 | SCOPE_MONITORS_READSCOPE_MCP_READ |
BatchGetLatestEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService POST /api/monitors/predictions/v1/entity-metrics:batchLatest | SCOPE_MONITORS_READSCOPE_MCP_READ |
GetEntityMetricssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1/entity-metrics | SCOPE_MONITORS_READSCOPE_MCP_READ |
GetMonitorPredictionssynq.monitors.predictions.v1.MonitorPredictionsService GET /api/monitors/predictions/v1 | SCOPE_MONITORS_READSCOPE_MCP_READ |
SetPlatformAuthenticationsynq.platforms.v1.PlatformsService POST /api/platforms/v1 | SCOPE_INTEGRATION_EDIT |
GenerateQuerysynq.queries.v1.NLQueryService POST /api/queries/v1/generate | SCOPE_ENTITY_READ |
BatchGetsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/batch-get | SCOPE_SAVED_VIEW_READSCOPE_MCP_READ |
Deletesynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/delete | SCOPE_SAVED_VIEW_EDITSCOPE_SAVED_VIEW_ADMIN |
Listsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/list | SCOPE_SAVED_VIEW_READSCOPE_MCP_READ |
SetPinsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1/set-pin | SCOPE_SAVED_VIEW_READSCOPE_MCP_READ |
Upsertsynq.savedviews.v1.SavedViewsService POST /api/saved-views/v1 | SCOPE_SAVED_VIEW_EDITSCOPE_SAVED_VIEW_ADMIN |
PreviewSchedulessynq.schedule.v1.ScheduleService POST /api/schedule/v1/preview | — |
BatchGetUserssynq.users.v1.UsersService | SCOPE_USER_READ |
DeleteUserAliasessynq.users.v1.UsersService | SCOPE_USER_EDIT |
GetByAliassynq.users.v1.UsersService | SCOPE_USER_READ |
GetByEmailsynq.users.v1.UsersService | SCOPE_USER_READSCOPE_MCP_READ |
GetUserAliasessynq.users.v1.UsersService | SCOPE_USER_READ |
GetUserIdentitiessynq.users.v1.UsersService | SCOPE_USER_READSCOPE_MCP_READ |
ListUserssynq.users.v1.UsersService | SCOPE_USER_READSCOPE_MCP_READ |
UpsertUserAliasessynq.users.v1.UsersService | SCOPE_USER_EDIT |